#!/bin/bash

g++ -Wall -fPIC -c UniSocket.cpp
g++ -Wall -fPIC -c SocketWrapperLinux.cpp
g++ -Wall -o libUniSocket.so -shared SocketWrapperLinux.o UniSocket.o

g++ -Wall -std=c++11 -c server.cpp
g++ -Wall -std=c++11 -o serverLinux server.o -lUniSocket -pthread -L.

g++ -Wall -c client.cpp
g++ -Wall -o clientLinux client.o -lUniSocket -L.

#rm -f *.o

# ???
#LD_LIBRARY_PATH=./:$LD_LIBRARY_PATH
#export $LD_LIBRARY_PATH

# oder ausfuehren mit
# [user@host]$ LD_LIBRARY_PATH=.:$LD_LIBRARY_PATH ./serverLinux 61000
# [user@host]$ LD_LIBRARY_PATH=.:$LD_LIBRARY_PATH ./clientLinux 127.0.0.1 61000 "Hallo Welt"
