#!/bin/bash

g++ -Wall -c UniSocket.cpp
g++ -Wall -c SocketWrapperOsx.cpp
g++ -Wall -dynamiclib -current_version 1.0 -o libUniSocket.dylib -shared SocketWrapperOsx.o UniSocket.o

g++ -Wall -std=c++11 -c server.cpp
g++ -Wall -std=c++11 -o serverOsx server.o -lUniSocket -L.

g++ -Wall -c client.cpp
g++ -Wall -o clientOsx client.o -lUniSocket -L.

rm -f *.o

# oder ausfuehren mit
# [user@host]$ ./serverOsx 61000
# [user@host]$ ./clientOsx 127.0.0.1 61000 "Hallo Welt"
